Results 1 to 3 of 3

Thread: dspam errors after 5.0 upgrade

  1. #1
    Join Date
    Dec 2006
    Location
    Minneapolis MN
    Posts
    777
    Rep Power
    9

    Default dspam errors after 5.0 upgrade

    I just went from 4.5.10 to 5.0 GA and enabled dspam, and am seeing two errors:

    Dec 20 16:44:33 lodge dspam[24171]: dlopen() failed: /opt/zimbra/dspam-3.6.2/lib/libhash_drv.so: /opt/zimbra/dspam-3.6.2/lib/libhash_drv.so: cannot open shared object file: No such file or directory
    Dec 20 16:44:33 lodge dspam[24171]: Unable to initialize storage driver
    Dec 20 16:44:33 lodge amavis[10018]: (10018-01) (!)WARN: DSPAM problem, exit 1, result=24171: [12/20/2007 16:44:33] No such feature 'chained'\n

    As far as the library, my /opt/zimbra/dspam is symlinked to /opt/zimbra/dspam-3.8.0. Anyone else seeing this?

    and any ideas on the "DSPAM problem, exit 1" warning?

    Do I need a reboot? Is it still looking at the old dspam directory for some reason?

  2. #2
    Join Date
    Oct 2005
    Location
    Thatcher, AZ
    Posts
    5,606
    Rep Power
    21

    Default

    Nice catch!

    Looks like the /opt/zimbra/conf/dspam.conf wasn't updated.

    Update the lines:
    Home /opt/zimbra/dspam-3.6.2/var/dspam
    StorageDriver /opt/zimbra/dspam-3.6.2/lib/libhash_drv.so

    to point to
    Home /opt/zimbra/dspam-3.8.0/var/dspam
    StorageDriver /opt/zimbra/dspam-3.8.0/lib/libhash_drv.so

    Bug 23216 - dspam.conf refers to previous version
    Last edited by jholder; 12-20-2007 at 04:58 PM.

  3. #3
    Join Date
    Dec 2006
    Location
    Minneapolis MN
    Posts
    777
    Rep Power
    9

    Default

    Excellent, thanks a lot.

    I did a "grep dspam-3.6.2 *" within the conf/ directory earlier, but apparently I must have had a type-o that didn't catch it, as I had no results when I tried that... but I tried it now and saw that reference. Maybe I should double-check my work. Always had that problem.

    Thanks!

Similar Threads

  1. ZCS 5.0 FOSS is Released!!!
    By jholder in forum Announcements
    Replies: 1
    Last Post: 12-21-2007, 11:21 AM
  2. [SOLVED] Upgrade from 4.5 to 5.0
    By Stergil in forum Installation
    Replies: 2
    Last Post: 10-05-2007, 01:50 PM
  3. dspam broke after 4.5.7 upgrade?
    By Krishopper in forum Administrators
    Replies: 9
    Last Post: 09-24-2007, 08:07 AM
  4. Configuring and using DSPAM
    By JoshuaPrismon in forum Administrators
    Replies: 55
    Last Post: 03-02-2007, 08:08 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •